{
    "name" : "MES",
    "appid" : "__UNI__66F7FE2",
    "description" : "",
    "versionName" : "3.4.5",
    "versionCode" : "345s",
    "transformPx" : false,
    "sassImplementationName" : "node-sass",
    "app-plus" : {
        "usingComponents" : true,
        "nvueCompiler" : "uni-app",
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        // 禁用 HTML5+ RunTime 提示
        "compatible" : {
            "ignoreVersion" : true
        },
        "modules" : {
            "Camera" : {},
            "Barcode" : {}
        },
        "distribute" : {
            "android" : {
                "permissions" : [
                    "<uses-permission android:name=\"android.permission.INTERNET\" />",
                    "<uses-permission android:name=\"android.permission.READ_EXTERNAL_STORAGE\" />",
                    "<uses-permission android:name=\"android.permission.WRITE_EXTERNAL_STORAGE\" />",
                    "<uses-permission android:name=\"com.asus.msa.SupplementaryDID.ACCESS\" />",
                    "<uses-permission android:name=\"com.huawei.android.launcher.permission.CHANGE_BADGE\" />",
                    "<uses-permission android:name=\"android.permission.INSTALL_PACKAGES\" />",
                    "<uses-permission android:name=\"android.permission.REQUEST_INSTALL_PACKAGES\" />",
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.BLUETOOTH\"/>",
                    "<uses-permission android:name=\"android.permission.BLUETOOTH_ADMIN\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
                ],
                "abiFilters" : [ "armeabi-v7a", "arm64-v8a", "x86" ]
            },
            "ios" : {
                "dSYMs" : false
            },
            "sdkConfigs" : {
                "ad" : {}
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png"
                    },
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png"
                    }
                }
            },
            "splashscreen" : {
                "useOriginalMsgbox" : false
            }
        },
        "nativePlugins" : {
            "Fvv-UniSerialPort" : {
                "__plugin_info__" : {
                    "name" : "安卓串口通信 Fvv-UniSerialPort",
                    "description" : "Android平台串口通信插件，支持串口号、波特率、数据位、校验位、停止位、流控等参数设置",
                    "platforms" : "Android",
                    "url" : "https://ext.dcloud.net.cn/plugin?id=1787",
                    "android_package_name" : "uni.UNI66F7FE2",
                    "ios_bundle_id" : "uni.UNI66F7FE2",
                    "isCloud" : true,
                    "bought" : 1,
                    "pid" : "1787",
                    "parameters" : {}
                }
            }
        },
        "orientation" : [
            //竖屏正方向
            "portrait-primary",
            //竖屏反方向
            "portrait-secondary",
            //横屏正方向
            "landscape-primary",
            //横屏反方向
            "landscape-secondary",
            //自然方向
            "default"
        ]
    },
    "quickapp" : {},
    "mp-weixin" : {
        "appid" : "wx366e867b9fb64fdf",
        "setting" : {
            "urlCheck" : true,
            "es6" : false,
            "minified" : true,
            "postcss" : true
        },
        "optimization" : {
            "subPackages" : true
        },
        "usingComponents" : true
    },
    "vueVersion" : "2",
    "h5" : {
        "template" : "static/index.html",
        "devServer" : {
            "port" : 9090,
            "https" : false
        },
        "title" : "RuoYi-App",
        "router" : {
            "mode" : "hash",
            "base" : "./"
        }
    },
    "permissions" : {
        "network" : {
            "description" : "用于获取网络状态和IP地址"
        }
    }
}
